Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.core
Class EndpointServiceMessagePointcutAdvisor

    java.lang.Object
      org.springframework.aop.support.StaticMethodMatcher
          org.springframework.aop.support.StaticMethodMatcherPointcut
              org.springframework.aop.support.StaticMethodMatcherPointcutAdvisor
                  org.springframework.flex.core.EndpointServiceMessagePointcutAdvisor

All Implemented Interfaces:
  Serializable, Advisor, MethodMatcher, Pointcut, PointcutAdvisor, Ordered, EndpointAdvisor

    public class EndpointServiceMessagePointcutAdvisor

extends StaticMethodMatcherPointcutAdvisor
implements EndpointAdvisor

Static method-matching pointcut advisor that applies security advice to invocations of `AbstractEndpoint.serviceMessage(Message)`.

This is the critical point where incoming AMF messages have been deserialized and are ready to be routed to a BlazeDS `Service`. Iterception at this point in the deserialization/serialization process is needed to be able to easily send proper AMF error messages back to the client.

Author:
  Jeremy Grelle
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Fields inherited from interface org.springframework.aop.Pointcut
`TRUE`

Fields inherited from interface org.springframework.aop.MethodMatcher
`TRUE`

Constructor Summary
`EndpointServiceMessagePointcutAdvisor(org.aopalliance.aop.Advice advice)`

Method Summary
`boolean` | `matches(Method m, Class<?> c)`

Methods inherited from class org.springframework.aop.support.StaticMethodMatcherPointcutAdvisor
`getAdvice, getOrder, getPointcut, isPerInstance, setAdvice, setOrder`

Methods inherited from class org.springframework.aop.support.StaticMethodMatcherPointcut
`getClassFilter, getMethodMatcher, setClassFilter`

Methods inherited from class org.springframework.aop.support.StaticMethodMatcher
`isRuntime, matches`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.aop.Advisor
`getAdvice, isPerInstance`

Constructor Detail

### EndpointServiceMessagePointcutAdvisor

    public EndpointServiceMessagePointcutAdvisor(org.aopalliance.aop.Advice advice)

Method Detail

### matches

    public boolean matches(Method m,
                           Class<?> c)

  Specified by:
    `matches` in interface `MethodMatcher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.